opal/runtime/opal_progress.h File Reference.TH "opal/runtime/opal_progress.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/runtime/opal_progress.h \- Progress engine for Open MPI. 
.SH SYNOPSIS
.br
.PP
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef int(* \fBopal_progress_callback_t\fP )(void)"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_progress_init\fP (void)"
.br
.RI "\fIInitialize the progress engine. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_progress_mpi_init\fP (void)"
.br
.RI "\fIConfigure the progress engine for executing MPI applications. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_progress_mpi_enable\fP (void)"
.br
.RI "\fITurn on optimizations for MPI progress. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_progress_mpi_disable\fP (void)"
.br
.RI "\fITurn off all optimizations enabled by \fBopal_progress_mpi_enable()\fP. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_progress_finalize\fP (void)"
.br
.RI "\fIShut down the progress engine. \fP"
.ti -1c
.RI "OMPI_DECLSPEC void \fBopal_progress_events\fP (int)"
.br
.RI "\fIControl how the event library is called. \fP"
.ti -1c
.RI "OMPI_DECLSPEC void \fBopal_progress\fP (void)"
.br
.RI "\fIProgress all pending events. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_progress_register\fP (opal_progress_callback_t cb)"
.br
.RI "\fIRegister an event to be progressed. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_progress_unregister\fP (opal_progress_callback_t cb)"
.br
.RI "\fIUnregister previously registered event. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_progress_event_increment\fP (void)"
.br
.RI "\fIIncrease count of MPI users of the event library. \fP"
.ti -1c
.RI "OMPI_DECLSPEC int \fBopal_progress_event_decrement\fP (void)"
.br
.RI "\fIDecrease count of MPI users of the event library. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Progress engine for Open MPI. 


.SH "Function Documentation"
.PP 
.SS "OMPI_DECLSPEC int opal_progress_finalize (void)"
.PP
Shut down the progress engine. 
.PP
Shut down the progress engine. This includes deregistering all registered callbacks and freeing all resources. After finalize returns, no calls into the progress interface are allowed. 
.SS "OMPI_DECLSPEC int opal_progress_init (void)"
.PP
Initialize the progress engine. 
.PP
Initialize the progress engine, including constructing the proper locks and allocating space for the progress registration functions. At this point, any function in the progress engine interface may be called. 
.SS "OMPI_DECLSPEC int opal_progress_mpi_disable (void)"
.PP
Turn off all optimizations enabled by \fBopal_progress_mpi_enable()\fP. 
.PP
Completely reverses all optimizations enabled by \fBopal_progress_mpi_enable()\fP. The event library resumes constant ticking and the progress engine yields the CPU when idle. 
.SS "OMPI_DECLSPEC int opal_progress_mpi_enable (void)"
.PP
Turn on optimizations for MPI progress. 
.PP
Turn on optimizations for MPI applications. This includes lowering the rate at which the event library is ticked if it is not under active use and possibly disabling the sched_yield call when the progress engine is idle 
.SS "OMPI_DECLSPEC int opal_progress_mpi_init (void)"
.PP
Configure the progress engine for executing MPI applications. 
.PP
Register to receive any needed information from the GPR and intialize any data structures required for MPI applications.
.PP
\fBNote:\fP
.RS 4
\fBopal_progress_init()\fP must be called before calling this function. Failure to do so is an error. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
